Deals
List deals
List deals and filter them by custom properties.
To filter deals on custom property, just add the property with its exact value as a query parameter:
myCustomProp=ThisIsAValue
This will return the deals where myCustomProp exactly matches the provided value.
GET
/
v3
/
deals
List deals
curl --request GET \
--url https://api.example.com/v3/dealsimport requests
url = "https://api.example.com/v3/deals"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v3/deals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v3/deals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v3/deals"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v3/deals")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v3/deals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"id": 123,
"contactId": 123,
"sourcePartnerId": 123,
"stage": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"totalAmount": 123,
"properties": {},
"sourceLeadId": 123,
"status": "Unknown",
"partners": [
{
"id": 123,
"dealId": 123,
"userPartnerOwnerId": 123,
"userPartnerOwnerName": "<string>",
"userPartnerFirstName": "<string>",
"userPartnerLastName": "<string>",
"userPartnerEmail": "<string>",
"userPartnerJobTitle": "<string>",
"userPartnerPhoneNumber": "<string>",
"userPartnerLinkedInProfileUrl": "<string>",
"partnerId": 123,
"partnerTypeId": 123,
"creationDate": "2023-11-07T05:31:56Z",
"partnerName": "<string>",
"partnerTypeName": "<string>"
}
],
"contractStartDate": "2023-11-07T05:31:56Z",
"contractEndDate": "2023-11-07T05:31:56Z",
"ownerUserId": 123,
"owner": {
"id": 123,
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"closeDate": "2023-11-07T05:31:56Z",
"customerId": 123,
"currency": "<string>"
}
],
"paginationSkipCount": 123,
"totalCount": 123
}Query Parameters
List deals
curl --request GET \
--url https://api.example.com/v3/dealsimport requests
url = "https://api.example.com/v3/deals"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v3/deals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v3/deals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v3/deals"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v3/deals")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v3/deals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"id": 123,
"contactId": 123,
"sourcePartnerId": 123,
"stage": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"totalAmount": 123,
"properties": {},
"sourceLeadId": 123,
"status": "Unknown",
"partners": [
{
"id": 123,
"dealId": 123,
"userPartnerOwnerId": 123,
"userPartnerOwnerName": "<string>",
"userPartnerFirstName": "<string>",
"userPartnerLastName": "<string>",
"userPartnerEmail": "<string>",
"userPartnerJobTitle": "<string>",
"userPartnerPhoneNumber": "<string>",
"userPartnerLinkedInProfileUrl": "<string>",
"partnerId": 123,
"partnerTypeId": 123,
"creationDate": "2023-11-07T05:31:56Z",
"partnerName": "<string>",
"partnerTypeName": "<string>"
}
],
"contractStartDate": "2023-11-07T05:31:56Z",
"contractEndDate": "2023-11-07T05:31:56Z",
"ownerUserId": 123,
"owner": {
"id": 123,
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"closeDate": "2023-11-07T05:31:56Z",
"customerId": 123,
"currency": "<string>"
}
],
"paginationSkipCount": 123,
"totalCount": 123
}
